# Tests by default. No tests: rpmbuild -ba --define 'dotests 0' netperf*.spec
%{!?dotests: %define dotests 1}

Name:           netperf 
Version:	2.7.0
Release:        1
Summary:        network performance management tool 
Group:          Applications/Internet 
License:        MIT 
URL:            https://github.com/HewlettPackard/netperf 
Source0:        https://github.com/HewlettPackard/netperf/archive/refs/tags/%{name}-%{version}.tar.gz	
BuildRequires:	make
Patch0:         netperf-2.7.0-examples.patch


%description
Netperf is a benchmark that can be used to measure the performance of many different types of networking. It provides tests for both unidirectional throughput, and end-to-end latency.

%prep
%setup -q -n %{name}-%{name}-%{version}
%patch0

%build
# There is no need to export -O2/-O3 in CFLAGS since it is already taken care by Makefile

export CC="%{__cc__} -maix64"
export OBJECT_MODE=64
export LDFLAGS="-L/opt/freeware/lib64 -L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib64:/opt/freeware/lib:/usr/lib:/lib"

./configure --prefix=%{_prefix} --mandir=%{_mandir}

gmake 

 

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
export CC="%{__cc__} -maix64"
export OBJECT_MODE=64
gmake install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :


%check
export CC="%{__cc__} -maix64"
if [ "%{dotests}" == 1 ]
then
    make check
fi


%files
%defattr(-,root,system)
%doc README AUTHORS COPYING Release_Notes
%doc doc/examples
%{_mandir}/man1/*
#%{_infodir}/*
%{_bindir}/netperf
%{_bindir}/netserver

%changelog
* Wed Feb 21 2024 Shubham Gupta <shubham.gupta36@ibm.com> - 2.7.0-1 
- Update to version 2.7.0-1

